import type { CountryCode, ShippingPriceData, StateCode } from "@uppfirst/geo-shipping-prices/types/Shipping";
export interface ReservePricing {
    base: number;
    traitCost: number;
    taxCost: number;
    taxPercent: number;
    shippingCost: number;
    total: number;
    gainedRewardsAmount: number;
}
export interface Pricing {
    currency: Currency;
    usedRewardsTotal: number;
    startAmountPercent: number;
    reserve: ReservePricing;
    claim: {
        base: number;
        total: number;
        gainedRewardsAmount: number;
    };
    total: {
        base: number;
        total: number;
        gainedRewardsAmount: number;
    };
}
export interface Currency {
    code: string;
    symbol: string;
    decimals: number;
}
export interface BaseProduct {
    price: number;
    startAmountPercent: number;
    rewardShare: number;
    currency: {
        decimals: number;
        symbol: string;
    };
    shipping?: ShippingPriceData;
}
export interface TraitCombination {
    price: number;
}
export interface Reward {
    worth: number;
}
export interface CalculateArgs {
    product: BaseProduct;
    combination?: TraitCombination;
    usedRewards: Reward[];
    countryCode?: CountryCode;
    stateCode?: StateCode;
}
